> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataerai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch apiadminusers organizations 

> PATCH / DELETE /api/admin/users/{id}/organizations/{org_id}/ —
change role on or remove an existing membership.



## OpenAPI

````yaml /api-reference/openapi.yaml patch /api/admin/users/{id}/organizations/{org_pk}/
openapi: 3.0.3
info:
  title: Console API
  version: 1.0.0
  description: Central control plane API for the Dataerai platform.
servers:
  - url: https://{server}
    description: Your Dataerai deployment (the API is served under /api)
    variables:
      server:
        default: your-deployment.dataerai.com
        description: Host of your Dataerai deployment
security: []
paths:
  /api/admin/users/{id}/organizations/{org_pk}/:
    patch:
      tags:
        - api
      description: |-
        PATCH / DELETE /api/admin/users/{id}/organizations/{org_id}/ —
        change role on or remove an existing membership.
      operationId: admin_users_org_role_change
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: org_pk
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedAdminUserOrgRole'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedAdminUserOrgRole'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedAdminUserOrgRole'
      responses:
        '200':
          description: No response body
      security:
        - cookieAuthCsrfExempt: []
components:
  schemas:
    PatchedAdminUserOrgRole:
      type: object
      properties:
        role:
          $ref: '#/components/schemas/OrgMemberRoleEnum'
    OrgMemberRoleEnum:
      enum:
        - member
        - admin
      type: string
      description: |-
        * `member` - Member
        * `admin` - Admin

````